@keyframes headMotion{
    from{transform:translatey(-100px);  opacity:0;}
    to{transform:translatey(0); opacity:1}
}
.header {
    transition: .5s;
    background: #fff;
    &.header-fixed{
        position: fixed;
        width: 100%;
        z-index: 9;
        animation-name: headMotion;
        animation-duration: .2s;
        background: #fff;
        box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1);
    }
   
    .navbar {
        box-shadow: none;
        .navbar-brand {
            img {
                max-width: 100%;
            }
        }
        .top-menu {
            list-style: none;
            display: flex;
            margin: 0;
            padding: 0;
            li {
                a {
                    display: block;
                    color: #000;
                    padding: 1rem ;
                    text-transform: uppercase;
                    &:hover, &.active {
                        color: #ff1113;
                        text-decoration: none;
                    }
                    &.dropdown-toggle{
                        position: relative;
                        &::after{
                       
                            margin-left: 0;
                            vertical-align: 0rem;
                            border-top: none;
                            border-right: none;
                            border-left: none;
                            content: "˅";
                            transform: scalex(1.5);
                    }
                    }
                    
                }
                i {
                    font-size: 1.2rem;
                }
                .dropdown-menu{
                    max-height: 200px;
                    overflow-y: auto;
                    padding:0;
                    width: auto;
                    &::-webkit-scrollbar {
                        width: 3px;
                      }
                      &::-webkit-scrollbar-track {
                        background: #ddd;
                      }
                      &::-webkit-scrollbar-thumb {
                        background: #f04800;
                      }
                      &::-webkit-scrollbar-thumb:hover {
                        background: #f04800;
                      }
                    .dropdown-item{ 
                        padding:.5rem 1rem;
                        position: relative;
                        &:after{
                            position: absolute;
                            content: '';
                            bottom:0;
                            right:0;
                            left:0;
                            height:1px;
                            background: #ccc;   
                        }
                    }
                }
            }
        }
        
        
    }
    .userControl{
        display: flex;
    .action-btns{
        a{
            display: inline-block;
            padding: .5rem 1.5rem;
            background: #fe0000;
            color: #fff;
            border-radius: 10rem;
            text-decoration: none;
            position: relative;
            overflow: hidden;
            z-index: 1;
            vertical-align: middle;
            &:after{
                position: absolute;
                content: '';
                bottom:0;
                right:0;
                left:0;
                top:0;
                background: rgba(255, 255, 255, 0.3);  
                transform:scale(0);
                z-index: -1;
                transition: .1s;
            }
            &:hover{
                &:after{
                    transform:scale(1);
                }
            }
        }
    }
    .userSetting{
        padding-left:1.5rem;
        .profilePic{
            display: block;
            color:#333;
            width: 40px;
            
            img{
                height: 40px;
                width:40px;
                border-radius:5em;
            }
            &:after{
                display: none;
            }
        }
        
        .dropdown-menu{
            padding: 0;
            width: 200px;
            top: 3.5em;
            border-radius: 0;
            left: auto;
            right: 0;
            .userName{
                display: block;
                font-size: 1.25rem;
                margin: 0;
                padding: 1.5rem;
                border-bottom: 1px solid #ececec;
                background: #403ffc;
                color: #fff;
                small{
                    display: block;
                    font-size: .85rem;
                    color:#ccc;
                }
            }
            .dropdown-item{
                padding: 0.75rem 1.5rem;
                i{
                    margin-right:.5rem;
                }
                &:hover{background:#ddd}
            }
        }
    }
    .mob-no{
        padding-right:1.5rem;
        a{
            font-size:1.5em;
            color:#000;
            text-decoration: none;
            position: relative;
            background: #416af6;
            color: #fff;
            padding: 0.75rem;
            display: inline-flex;
            vertical-align: middle;
            border-radius: 10rem;
            z-index: 1;          
            &:after{
                position: absolute;
                content: "";
                bottom: 0;
                right: 0;
                left: 0;
                top: 0;
                border: 1px solid #4169f4;
                border-radius: 10rem;
                z-index: -1;
                transition: 0.1s;
                filter: blur(2px);
                animation-name: wave;
                animation-duration: 1s;
                animation-iteration-count: infinite;
            }
            i{
                font-size: 1.2rem;
            }
        }
    }
    .shpCart{
        border-left: 1px solid #e8e8e8;
        border-right: 1px solid #e8e8e8;
        padding-left:1.5rem;
        padding-right:1.5rem;
        a{
            position: relative;
            color:#ccc;display: block;
            text-decoration: none;
            transition: .2s;
            &:hover{
                color:#999;
            }
            i{display: block;
                font-size: 2rem;
                margin-top: 0.25em;}
            small{
                position: absolute;
                top:-10px;
                right:-10px;
                padding: 0.1rem .25rem;
                background: red;
                color:#fff;
            }
        }
    }
}
}

@keyframes wave{
    0%{transform: scale(0); opacity:0; transform-origin: center; transition: .3s;}
    50%{transform: scale(1.3); opacity:1; transform-origin: center; transition: .3s;}
    100%{transform: scale(1.5);  opacity:0;transform-origin: center; transition: .3s;}
}
@media (max-width: 1200px) {
    .header {
        .navbar {
            .top-menu {
                li {
                    a{
                        padding:.5rem;
                    }
                }
            }
        }
    }
 }
@media (max-width: 991.98px) { 
    .header{
        .navbar{
            .navbar-toggler {
                background-color: #e4e4e4!important;
                color: #777;
                padding: 0.5rem 1rem!important;
                position: absolute;
                left:0;
            }
            .navbar-brand{
                margin:0;
                padding-left:4rem;
            }
            .navbar-collapse{
                position: absolute;
                top: 100%;
                z-index: 99;
                background: #fe0000;
                box-shadow: 0 3px 5px rgba(0, 0, 0, 0.5);
                left: 0;
                width: calc(100vw - 30px);
                color: #fff;
                padding-top: 1rem;
                padding-bottom: 1rem;
                .nav-link {
                    color: #fff !important;
                }
            }
            .top-menu {
                list-style: none;
                display: block;
                margin: 0;
                padding: 0rem 1rem;
                width:15em;
            }
        }
    }

 }


 @media (max-width: 575.98px) { 
     
    .header{
     .userControl{
            .shpCart{
                border-left: 0;
                padding-left: 0;
            }
            .mob-no {
                display: none;;
            }
            .userSetting {
                padding-left: 0.5rem;
            }
        }
    } 
  }